// Demo mise en oeuvre MAX7456 avec P18F2620
#include <p18f2620.h>
#include <delays.h>
#include <stdio.h>
#include "max7456.h"
#include "init_horloge_interne.h"


void flash(unsigned char f)
{
	while (f--)
	{ 
		LED=0;
		tempo_100ms(1);
		LED=1;
		tempo_100ms(1);
	}
	
}


void main(void)
{unsigned char c,d ;	
	init_horloge_interne();
	init_max7456();
	flash(3);			// LED clignote 3 fois
	gotoxy(2,0);
	printf("Driver PIC18 pour MAX 7456");
	c=lit_max7456(STATUS_READ);		// lectire rategistre d'etat
	gotoxy(5,2);
	printf("Etat : %08b",c);		// affichage en binaire de l'etat
	inverse(1);
	gotoxy(10,4);
	printf("video inverse");		
	inverse(0);
	clignote(1);
	gotoxy(10,6);
	printf("clignotement");
	clignote(0);
	gotoxy(10,8);
	printf("LLAP");
	flash(1);
	while(1);
	
}

